| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::HistoryVertexProperties Class Reference

Every vertex has one associated object of this class. More...

## Public Member Functions
bool | alwaysMarkedAs (HistoryImageId::Type) const
ItemInfo | firstItemInfo () const
bool | markedAs (HistoryImageId::Type) const
HistoryVertexProperties & | operator+= (const HistoryImageId &info)
HistoryVertexProperties & | operator+= (const ItemInfo &info)
HistoryVertexProperties & | operator+= (const QString &uuid)
bool | operator== (const HistoryImageId &info) const
bool | operator== (const ItemInfo &info) const
bool | operator== (const QString &uuid) const
bool | operator== (qlonglong id) const

## Public Attributes
QList< ItemInfo > | infos
QList< HistoryImageId > | referredImages
QString | uuid

## Detailed Description

All entries in a vertex refer to identical images. There can be multiple referred images in a history entry. Each single HistoryImageId can resolve into none, one, or multiple ItemInfos. So there is no mapping between the two fields here.

If an image is created from multiple source images (panorama etc.), there will be one vertex per source image!